TokyoTyrant::out
TokyoTyrant::putCat
TokyoTyrant
PHP Manual

# TokyoTyrant::put

(PECL tokyo_tyrant >= 0.1.0)

TokyoTyrant::put — Puts values

### Description

public TokyoTyrant TokyoTyrant::put ( mixed `$keys` [, string `$value` = NULL ] )

Puts a key-value pair into the database or multiple key-value pairs. If `keys` is string then the second parameter value defines the value. The second parameter is mandatory if `keys` is a string. If the key exists the value will be replaced with new value.

### Parameters

`keys`

  A string key or an array of key-value pairs

`value`

  The value in case a string key is used

### Return Values

This method returns a reference to the current object and throws TokyoTyrantException on failure.

### Examples

Example #1 TokyoTyrant::put() example

`<?php
/* Connect to a database on default port */
$tt = new TokyoTyrant("localhost");
/* Put single key-value pair */
$tt->put("key", "value");
/* Put key-value pairs, new value overwrites the old */
$tt->put(array("key1" => "value1", "key" => "value2"));
/* Get back one key */
echo $tt->get("key");
?>`

The above example will output:

    value2

### See Also

- TokyoTyrant::putKeep() - Puts a record
- TokyoTyrant::putCat() - Concatenates to a record

TokyoTyrant::out
TokyoTyrant::putCat
TokyoTyrant
PHP Manual